/* Base */
p {
    font-size: clamp(1rem, 1.2vw, 1.125rem);
    font-weight: 400;
    line-height: 1.5;
}

.txt-h1,
.section-basic>div>h1 {
    color: var(--color-1);
    font-size: clamp(2.5rem, 6vw, 4.5rem);
    font-weight: 900;
    line-height: 1;
}

.txt-h2,
.section-basic h2 {
    color: var(--color-1);
    font-size: clamp(2rem, 4vw, 3rem);
    font-weight: 700;
    line-height: 1;
}

.txt-h1 i,
.txt-h2 i {
    font-weight: 500;
    font-style: italic !important;
    color: var(--color-2);
}

.txt-h2 i {
    font-weight: 700;
}

.txt-h1 span,
.txt-h2 span {
    text-decoration: underline;
    text-decoration-color: var(--color-3);
    text-decoration-thickness: clamp(2px, .4vw, 5px);
    text-underline-offset: clamp(2px, .3vw, 4px);
}

.txt-h3,
.section-basic h3 {
    color: var(--color-1);
    font-size: clamp(1.125rem, 1.5vw, 1.25rem);
    font-weight: 700;
    line-height: 1;
}

.txt-sub-title {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: clamp(.65rem, .8vw, .75rem);
    font-weight: 600;
    line-height: 1;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: var(--color-2);
    margin-bottom: 1rem !important;
}

.txt-sub-title::before {
    content: "";
    display: block;
    position: relative;
    min-width: clamp(20px, 2vw, 32px);
    width: clamp(20px, 2vw, 32px);
    height: 1px;
    background-color: var(--color-2);
}


/* Custom */
.txt-description {
    font-size: clamp(1rem, 1.5vw, 1.125rem) !important;
    font-weight: 400;
    line-height: 1.5;
}